Limerence
Api keys

List Api Keys

List API keys for the current team

GET
/api-keys

List API keys for the current team

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api-keys"
[
  {
    "createdAt": "string",
    "enabled": true,
    "expiresAt": null,
    "id": "string",
    "lastRefillAt": null,
    "lastRequest": null,
    "metadata": null,
    "name": null,
    "permissions": null,
    "prefix": null,
    "rateLimitEnabled": true,
    "rateLimitMax": null,
    "rateLimitTimeWindow": null,
    "refillAmount": null,
    "refillInterval": null,
    "remaining": null,
    "requestCount": 0,
    "start": null,
    "updatedAt": "string",
    "userId": "string"
  }
]
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}